diff -ur ../pykde4-4.14.3-orig/CMakeLists.txt ./CMakeLists.txt
--- ../pykde4-4.14.3-orig/CMakeLists.txt	2015-04-28 01:25:43.000000000 +0900
+++ ./CMakeLists.txt	2015-04-28 01:07:08.000000000 +0900
@@ -8,7 +8,6 @@
 # Match what's used in the main macros
 cmake_policy(SET CMP0002 OLD)
 find_package(PythonLibrary)
-find_package(PythonLibs)
 
 include(KDE4Defaults)
 include(MacroLibrary)
@@ -34,8 +33,6 @@
 
 include_directories(${KDE4_INCLUDES})
 
-add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT3_SUPPORT)
-
 find_package(SIP)
 set_package_properties(SIP PROPERTIES DESCRIPTION "The SIP binding generator"
                        URL "http://riverbankcomputing.com" TYPE REQUIRED
@@ -78,7 +75,6 @@
                        "Required to build Python Polkit bindings")
 
 include_directories(
-    ${PYTHON_INCLUDE_DIRS}
     ${PYTHON_INCLUDE_PATH}
     ${SIP_INCLUDE_DIR}
     ${QT_INCLUDE_DIR}
@@ -103,17 +99,18 @@
     ${KDEPIMLIBS_INCLUDE_DIRS}
 )
 
-# Pull in ARM configuration options if needed
-STRING(REGEX MATCH "PyQt_qreal_double" SIP_ARM_HACK ${PYQT4_SIP_FLAGS} "")
-
 set(SIP_INCLUDES ${CMAKE_BINARY_DIR} ${PYQT4_SIP_DIR} sip)
 set(SIP_CONCAT_PARTS 8)
 if (WIN32)
     set(SIP_TAGS ALL WS_WIN ${PYQT4_VERSION_TAG})
 else ()
-    set(SIP_TAGS ALL WS_X11 ${PYQT4_VERSION_TAG})
-endif ()
-set(SIP_DISABLE_FEATURES VendorID PyQt_NoPrintRangeBug ${SIP_ARM_HACK})
+    if (APPLE)
+        set(SIP_TAGS ALL WS_MACX ${PYQT4_VERSION_TAG})
+    else ()
+        set(SIP_TAGS ALL WS_X11 ${PYQT4_VERSION_TAG})
+    endif (APPLE)
+endif (WIN32)
+set(SIP_DISABLE_FEATURES VendorID PyQt_NoPrintRangeBug)
 
 set(SIP_FILES_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/sip)
 
@@ -259,23 +256,16 @@
 # Install the .sip files for anyone that wants to build bindings on top of PyKDE4.
 # (Don't forget the / at the end of sip/.)
 install(FILES ${CMAKE_BINARY_DIR}/pykde_config.sip DESTINATION ${SIP_FILES_INSTALL_DIR}/PyKDE4/)
-if(DEFAULT_PYTHON_VERSION)
-  install(DIRECTORY sip/ DESTINATION ${SIP_FILES_INSTALL_DIR}/PyKDE4
-        PATTERN "*~" EXCLUDE    # This sucks, why can't I just whitelist what I _do_ want?
-        PATTERN ".svn" EXCLUDE
-        PATTERN "*.in" EXCLUDE)
-   message("Installing sip files in this build pass")
-else(DEFAULT_PYTHON_VERSION)
-   message("Not installing sip files in this build pass")
-endif(DEFAULT_PYTHON_VERSION)
+install(DIRECTORY sip/ DESTINATION ${SIP_FILES_INSTALL_DIR}/PyKDE4
+    PATTERN "*~" EXCLUDE    # This sucks, why can't I just whitelist what I _do_ want?
+    PATTERN ".svn" EXCLUDE
+    PATTERN "*.in" EXCLUDE)
 
 add_subdirectory(tools)
 #add_subdirectory(docs)
 add_subdirectory(examples)
-# Due to version specific ABI tagging in Python 3 so files, we can build for
-# all Python 3 versions without a problem.
-if ((PYTHON_VERSION_MAJOR LESS 3 AND DEFAULT_PYTHON_VERSION) OR PYTHON_VERSION_MAJOR GREATER 2)
+if (PYTHON_VERSION_MAJOR LESS 3)
     add_subdirectory(kpythonpluginfactory)
-endif ((PYTHON_VERSION_MAJOR LESS 3 AND DEFAULT_PYTHON_VERSION) OR PYTHON_VERSION_MAJOR GREATER 2)
+endif ()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
diff -ur ../pykde4-4.14.3-orig/cmake/modules/FindPolkitQt.cmake ./cmake/modules/FindPolkitQt.cmake
--- ../pykde4-4.14.3-orig/cmake/modules/FindPolkitQt.cmake	2014-08-15 05:17:11.000000000 +0900
+++ ./cmake/modules/FindPolkitQt.cmake	2015-04-28 01:07:42.000000000 +0900
@@ -28,13 +28,13 @@
   set(POLKITQT_MIN_VERSION "0.9.3")
 endif (NOT POLKITQT_MIN_VERSION)
 
-if (NOT WIN32)
+if (NOT WIN32 AND NOT APPLE)
    # use pkg-config to get the directories and then use these values
    # in the FIND_PATH() and FIND_LIBRARY() calls
    find_package(PkgConfig)
    pkg_check_modules(PC_POLKITQT QUIET polkit-qt)
    set(POLKITQT_DEFINITIONS ${PC_POLKITQT_CFLAGS_OTHER})
-endif (NOT WIN32)
+endif (NOT WIN32 AND NOT APPLE)
 
 find_path( POLKITQT_INCLUDE_DIR
      NAMES polkit-qt/auth.h
diff -ur ../pykde4-4.14.3-orig/sip/kdecore/ktempdir.sip ./sip/kdecore/ktempdir.sip
--- ../pykde4-4.14.3-orig/sip/kdecore/ktempdir.sip	2014-08-15 05:17:11.000000000 +0900
+++ ./sip/kdecore/ktempdir.sip	2015-04-28 01:08:25.000000000 +0900
@@ -24,7 +24,9 @@
 {
 %TypeHeaderCode
 #include <ktempdir.h>
+#ifdef Q_WS_X11
 #include <fixx11h.h>
+#endif
 %End
 
 
